/*
Theme Name: 	Jundiaí Empreendedora 3
Theme URI:		https://negocios.jundiai.sp.gov.br/
Author:			CIJUN
Author URI:		https://cijun.sp.gov.br/
Description: 	Site da Unidade de Gestão de Desenvolvimento Econômico, Ciência e Tecnologia
Template:		jundiai-tema-base
Version:		3.0
*/

/* ----- TABELA DE CORES ------------------------------------------------------------- */

:root {
	--destaque-laranja: #f69101; /*#F6A501; */
	--destaque-azul: #234277;
	--destaque-roxo: #9510AC;
	--destaque-verde: #73b016; /* #CEE741; */

	--destaque-espaco: #019EE2;

	--turquesa-logo: #009A8E;
	--turquesa-logo-2: #009A8E22;

    --amarelo-logo: #FECC00;
    --amarelo-logo-2: #FECC0022;

    --laranja-logo: #F7A600;
    --laranja-logo-2: #F7A60022;

    --magenta-logo: #B70D7F;
    --magenta-logo-2: #B70D7F22;

    --ciano-logo: #01B1EB;
    --ciano-logo-2: #01B1EB22;

    --azul-logo: #009FE3;
    --azul-logo-2: #009FE322;
}


/* ----- BLOCOS DO WORDPRESS --------------------------------------------------------- */

.wp-block-columns {
	gap: 40px;
}


/* ----- CABEÇALHO ------------------------------------------------------------------- */

#contraste {
	display: none;
}

#header .container {
	gap: 20px;
}

#site-titulo {
	background: url(images/logotipo-negativo.png) no-repeat top center/90% auto;
	margin: auto;
	display: block;
	width: 100%;
	max-width: 200px;
	aspect-ratio: 50 / 28;	
	text-indent: -100000px;
}

#header .brasao {
	width: 100%;
	/* LEI ELEITORAL 2024 */
	aspect-ratio: 25 / 7;
	height: auto;
	max-width: 250px;
}

#barra-plataforma {
	display: none;
}

@media only screen and (min-width: 600px) {

	#site-titulo {
		align-self: center;
	}

}

@media only screen and (min-width: 1024px) {

	#header {
		background: var(--azulgestao);
		width: 100%;
		margin-bottom: 60px;
		position: sticky;
		top: 0;
		left: 0;
		z-index: 10;
		box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.2);
	}

	#header .container {
		gap: 10px 20px;
		grid-template-columns: 180px 2fr 180px;
		grid-template-areas: "titulo menu busca" "titulo menu brasao";
	}

	#site-titulo {
		width: 100%;
		margin: 0;
	}

	.brasao {
		align-self: start;
	}

}


/* ----- MENU SUPERIOR --------------------------------------------------------------- */

#menu-botao-home {
    background: transparent;
    border: none;
    line-height: 1;
    margin: auto;
}

#menu-botao-home .hamburguer {
    font-size: 28px;
}

#menu-botao-home span {
    display: inline-block;
    vertical-align: middle;
}

#menu-botao-home {
	color: #fff;
}

@media only screen and (min-width: 1024px) {

	#menu-botao-home {
		display: none;
	}

	#conteudo-menu {
		/* width: fit-content; */
		margin: 0 auto 20px;
		align-self: end;
	}

}

@media only screen and (min-width: 1320px) {

	#menu-header {
		margin-left: 0;
	}

}


/* ----- BUSCA ----------------------------------------------------------------------- */

@media only screen and (min-width: 1024px) {
	
	#busca-botao {
		display: none;
	}

	#conteudo-busca {
		align-self: end;
	}

	#busca {
		background: none;
	}

}


/* ----- PÁGINA INICIAL --------------------------------------------------------- */

.pagina-inicial .titulo-home {
	border-bottom: 2px solid #333;
	padding-bottom: 0.3em;
	text-transform: uppercase;
}

.pagina-inicial {
	min-height: auto;
}

.pagina-inicial .bloco-home {
	padding: 3em 0 0;
}

.pagina-capa {
	/* margin-bottom: 0; */
	margin-bottom: -2em;
}

@media only screen and (min-width: 1024px) {

	.pagina-inicial .bloco-home {
		padding: 4em 0 0;
	}

}


/* ----- SLIDESHOW DA PÁGINA INICIAL -------------------------------------------- */
/* http://responsiveslides.com v1.55 by @arielsalminen */

#slideshow {
	padding: 0 20px;
}

.contraste #slideshow {
	background: none;
}

#slider {
	max-width: 1380px;
	margin: auto;
}

.rslides {
	width: 100%;
	overflow: hidden;
	margin: 0;
	padding: 0;
	list-style: none;
	position: relative;
}

.rslides li {
	width: 100%;
	margin: 0;
	display: none;
	position: absolute;
	left: 0;
	top: 0;
	-webkit-backface-visibility: hidden;
}

.rslides li:first-child {
	display: block;
	position: relative;
	float: left;
}

.rslides img {
	border: 0;
	width: 100%;
	height: auto;
	aspect-ratio: 1300/300;
	display: block;
	float: left;
}

@media only screen and (min-width: 1024px) {

	#slideshow {
		padding: 0 60px;
	}

}

/* ----- MENUS DA PÁGINA INICIAL ------------------------------------------------ */

.menu-home {
	list-style: none;
	margin: 0;
	text-align: center;
}

.menu-home .sub-menu {
	list-style: none;
	margin: 0;
}

.menu-home li {
	margin-bottom: 0;
}

.menu-home li a {
	font-weight: 600;
	text-decoration: none;
	text-transform: uppercase;
}

.menu-home li > a:hover,
.menu-home li .sub-menu li:hover {
	 transform: translate(-1px, -1px);
}

.menu-home li,
.menu-home li a {
	border-radius: 3px;
}


/* ----- MENU DESTAQUES --------------------------------------------------------- */

#destaques {
	padding-top: 0em;
}

#menu-destaques {
	display: grid;
	gap: 20px;
	grid-template-columns: 1fr;
}

#menu-destaques li {
	display: table;
}

#menu-destaques li a {
	background: var(--azulgestao);
	color: #fff;
	padding: 20px;
	display: table-cell;
	vertical-align: middle;
}

#menu-destaques .sub-menu {
	display: none;
}

@media only screen and (min-width: 600px) {

	#menu-destaques {
		grid-template-columns: repeat(2, 1fr);
	}

}

@media only screen and (min-width: 800px) {

	#menu-destaques {
		display: flex;
		flex-flow: row wrap;
	}

	#menu-destaques li {
		flex: 1;
		width: 25%;
		box-sizing: border-box;
	}

}


/* ----- MENU SERVIÇOS ---------------------------------------------------------- */

#menu-servicos {
	/* margin-top: 3em; */
	margin-top: 0;
}

/*
#menu-servicos > li,
#menu-servicos .sub-menu
*/
#menu-servicos {
	display: grid;
	gap: 20px;
	grid-template-columns: 1fr;
}

#menu-servicos .sub-menu,
#menu-servicos .sub-menu .sub-menu {
	display: none;
}

#menu-servicos > li {
	/* margin-bottom: 2em; */
}

#menu-servicos li {
	background: none;
}

#menu-servicos li a {
	color: #fff;
	border-radius: 20px;
	padding: 25px 20px;
	display: block;
}

#menu-servicos .sub-menu li {
	background: #fff;
	border: 3px solid #333;
}

#menu-servicos .sub-menu li:hover {
	background: #f5f5f5;
}

#menu-servicos .sub-menu li a {
	color: #333;
}

#menu-servicos > li.empregabilidade > a {
	background: var(--turquesa);
}

#menu-servicos li.empregabilidade .sub-menu li {
	border-color: var(--turquesa-logo);
}

#menu-servicos li.empregabilidade .sub-menu li:hover {
	background-color: var(--turquesa-logo-2);
}

#menu-servicos > li.empresa > a {
	background: var(--amarelo-logo);
	color: #000;
}

#menu-servicos li.empresa .sub-menu li {
	border-color: var(--amarelo-logo);
}

#menu-servicos li.empresa .sub-menu li:hover {
	background-color: var(--amarelo-logo-2);
}

#menu-servicos > li.meu-comercio > a {
	background: var(--laranja-logo);
	color: #000;
}

#menu-servicos li.meu-comercio .sub-menu li {
	border-color: var(--laranja-logo);
}

#menu-servicos li.meu-comercio .sub-menu li:hover {
	background-color: var(--laranja-logo-2);
}

#menu-servicos > li.apoio-ao-empreendedor > a {
	background: var(--magenta-logo);
}

#menu-servicos li.apoio-ao-empreendedor .sub-menu li {
	border-color: var(--magenta-logo);
}

#menu-servicos li.apoio-ao-empreendedor .sub-menu li:hover {
	background-color: var(--magenta-logo-2);
}

#menu-servicos > li.jundiai-internacional > a {
	background: var(--ciano-logo);
}

#menu-servicos li.jundiai-internacional .sub-menu li {
	border-color: var(--ciano-logo);
}

#menu-servicos li.jundiai-internacional .sub-menu li:hover {
	background-color: var(--ciano-logo-2);
}


/* idiomas */

/* o item principal (invista) */
#menu-servicos li.jundiai-internacional .sub-menu li.invista {
	height: 140px;
	
	overflow: visible;
}

/* o sub-menu onde vão as bandeirinhas */
#menu-servicos li.jundiai-internacional .sub-menu li.invista .sub-menu {
	width: 100%;
	max-width: 400px;
	margin: auto;
	display: grid;
	gap: 0;
	grid-template-columns: repeat(5, 1fr);
}

/* cada item do sub menu */
#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li {
	background: transparent;
	border: none;
}

/* os links */
#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li a {
	background-color: transparent;
	background-repeat: no-repeat;
	background-size: 48px 48px;
	background-position: center top;
	height: 48px;
	width: 100%;
	display: block;
	text-indent: -10000px;
}

#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li.pt a {
	background-image: url(//src.cijun.sp.gov.br/img/bandeiras/round/brasil.svg);
}

#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li.en a {
	background-image: url(//src.cijun.sp.gov.br/img/bandeiras/round/eua.svg);
}

#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li.es a {
	background-image: url(//src.cijun.sp.gov.br/img/bandeiras/round/espanha.svg);
}

#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li.zh a {
	background-image: url(//src.cijun.sp.gov.br/img/bandeiras/round/china.svg);
}

#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li.it a {
	background-image: url(//src.cijun.sp.gov.br/img/bandeiras/round/italia.svg);
}

@media only screen and (min-width: 800px) {

	#menu-servicos {
		grid-template-columns: repeat(2, 1fr);
	}
	
	/*

	#menu-servicos > li {
		grid-template-columns: 200px 1fr;
	}

	#menu-servicos > li a {
		width: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	
	*/

}

@media only screen and (min-width: 1024px) {

	/*
	#menu-servicos > li {
		margin-bottom: 0;
		grid-template-columns: repeat(2, 1fr);
	}

	#menu-servicos .sub-menu {
		display: flex;
		flex-flow: row wrap;
		display: none;
	}

	#menu-servicos .sub-menu li {
		display: table;
		flex: 1;
		box-sizing: border-box;
	}

	#menu-servicos .sub-menu li a {
		display: table-cell;
		vertical-align: middle;
	}

	#menu-servicos li.jundiai-internacional .sub-menu li.invista {
		position: relative;
	}

	#menu-servicos li.jundiai-internacional .sub-menu li.invista > a {
		vertical-align: top;
	}
	*/

	/* o sub-menu onde vão as bandeirinhas */
	/*
	#menu-servicos li.jundiai-internacional .sub-menu li.invista .sub-menu {
		position: absolute;
		top: 45%;
		left: 50%;
		transform: translateX(-50%);

	}
	
	#menu-servicos li.jundiai-internacional .sub-menu .sub-menu li a {
		background-size: 32px 32px;
	}
	*/

}

@media only screen and (min-width: 1220px) {

	/*
	#menu-servicos li.jundiai-internacional .sub-menu li.invista .sub-menu {
		width: 95%;
		width: 80%;
		top: 50%;
	}
	*/

}


/* ----- MENU ESPAÇO JUNDIAÍ EMPREENDEDORA -------------------------------------- */

#menu-espaco {
	background: var(--azulgestao);
	color: #fff;
	border-radius: 20px;
	display: block;
	margin: 3em auto 0;
	padding: 25px 20px;
	width: 100%;
	font-weight: 600;
	text-transform: uppercase;
	text-align: center;
	text-decoration: none;
}

#menu-espaco:hover {
	 transform: translate(-1px, -1px);
}

@media only screen and (min-width: 800px) {
	
	#menu-espaco {
		width: 50%;
	}

}

/*
#menu-espaco {
	margin-top: 3em;
	display: grid;
	gap: 20px;
	grid-template-columns: 1fr;
}

#menu-espaco li {
	background: var(--azulgestao);
	border-radius: 20px;
	display: table;
}

#menu-espaco a {
	color: #fff;
	border-radius: 20px;
	padding: 25px 20px;
	display: table-cell;
	vertical-align: middle;
}

#menu-espaco .sub-menu {
	display: none;
}

@media only screen and (min-width: 600px) {

	#menu-espaco {
		grid-template-columns: repeat(3, 1fr);
	}

}

@media only screen and (min-width: 800px) {

	#menu-espaco {
		display: flex;
		flex-flow: row wrap;
	}

	#menu-espaco li {
		flex: 1;
		width: 33.3%;
		box-sizing: border-box;
	}

}

*/


/* ----- CONTEÚDO --------------------------------------------------------------- */

.pagina-titulo {
	border-bottom: 5px solid #333;
	margin-bottom: 2em;
	padding-bottom: 0.3em;
	font-weight: 800;
	/* text-align: center; */
	text-transform: uppercase;
}

@media only screen and (min-width: 1024px) {

	.pagina-titulo {
		margin-top: 2em;
		font-size: 36px;
	}

}

/* resultado da busca */

.search .noticias-lista .noticia-item {
	min-height: auto;
}

/* conteúdo das sub-páginas em page-servicos-oferecidos */

.subpagina-titulo {
	background-size: 12px 12px;
	background-image: url(https://src.cijun.sp.gov.br/img/media/filled-version/SVG/97-arrows/arrow-down-12.svg);
	background-position: 0 4px;
	background-repeat: no-repeat;
	background-size: 18px 18px;
	margin: 1em 0 !important;
	padding-left: 25px;
	cursor: pointer;
	font-size: 110%;
	font-weight: 600;
}

.subpagina-titulo:hover {
	font-weight: 800;
}

.subpagina-titulo.abre {
	background-image: url(https://src.cijun.sp.gov.br/img/media/filled-version/SVG/97-arrows/arrow-up-12.svg);
}

.subpagina-texto {
	margin-top: 2em;
	margin-bottom: 3em;
	padding-left: 25px;
	display: none;
}

@media only screen and (min-width: 1024px) {

	.subpagina-titulo {
		background-position: left center;
	}

}


/* ----- INDICADORES DO POWER BI ------------------------------------------------ */

#indicadores {
	margin-top: 80px;
}

#indicadores .titulo-home {
	display: none;
}

#indicadores #iframe-bi {
	display: block;
}

#indicadores #container-bi {
	position: relative;
	z-index: 0;
}

#indicadores #link-bi {
	background: var(--turquesa);
	color: #fff;
	border-radius: 5px;
	border: none;
	width: 100%;
	display: block;
	margin-top: 20px;
	padding: 10px;
	font-weight: 600;
	text-align: center;
	text-decoration: none;
}

#indicadores #link-bi:hover {
	background: var(--azulgestao);
}

@media only screen and (min-width: 600px) {

	#indicadores #iframe-bi {
		height: 440px;
	}

}

@media only screen and (min-width: 800px) {

	#indicadores #iframe-bi {
		height: 480px;
	}

}

@media only screen and (min-width: 1024px) {

	#indicadores #iframe-bi {
		height: 600px;
	}

	#indicadores #link-bi {
		display: none;
	}

}

@media only screen and (min-width: 1220px) {

	#indicadores #iframe-bi {
		height: 710px;
	}

}


/* ----- PARCEIROS (APOIO) ------------------------------------------------------ */

#apoio {
	margin-top: 60px;
}

#apoio .parceiros {
	color: #999;
	margin: 0 auto 1em;
	text-align: center;
}

#apoio .container {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 20px;
	align-content: center;
	justify-items: center;
	align-items: center;
}

#apoio img {
	width: 100%;
	max-width: 150px;
	height: auto;
	margin: 0 auto;
	display: block;
	filter: saturate(80%) opacity(60%);
}

@media only screen and (min-width: 480px) {

	#apoio .container {
		grid-template-columns: repeat(4, 1fr);
	}

}

@media only screen and (min-width: 600px) {

	#apoio .container {
		grid-template-columns: repeat(5, 1fr);
	}

}

@media only screen and (min-width: 800px) {

	#apoio .container {
		grid-template-columns: repeat(8, 1fr);
	}

}

@media only screen and (min-width: 1024px) {

	#apoio {
		margin-top: 100px;
	}

	#apoio .container {
		display: flex;
		flex-flow: row nowrap;
		justify-content: space-between;
		align-items: center;
	}

	#apoio .logo {
		flex-shrink: 1;
	}

	#apoio img {
		filter: saturate(80%) opacity(60%) grayscale(30%);
	}

	#apoio img:hover {
		filter: none;
	}

}


/* ----- MENU SOCIAL ------------------------------------------------------------ */

#menu-social a {
	filter: invert(1);
}


/* ----- RODAPÉ ----------------------------------------------------------------- */

#rodape {
	background: #fff;
	color: var(--azulgestao);
	margin-top: 6em;
}

#rodape a:link,
#rodape a:visited {
	color: var(--azulgestao);
}

.home #botao-topo {
	position: fixed;
}

#botao-topo {
	background: var(--azulgestao);
}

#botao-topo img {
	filter: invert(1);
}


/* ----- FORMULÁRIOS DE CONTATO plugin Contact From 7 --------------------------- */

.wpcf7-form {
	margin: 3em 0;
}

.wpcf7-form input[type="submit"],
.wpcf7-form input[type="text"],
.wpcf7-form input[type="email"],
.wpcf7-form input[type="url"],
.wpcf7-form input[type="date"],
.wpcf7-form input[type="tel"],
.wpcf7-form textarea,
.wpcf7-form select {
	width: 100%;
}

.wpcf7-form input[type="submit"] {
	padding: 15px;
}


/* ----- FORMULÁRIO AGENDE SEU ATENDIMENTO -------------------------------------- */

#agenda-atendimento {
	margin: 3em 0 6em;
}

#agenda-atendimento select {
	width: 100%;
	margin: 0 0 1em;
	line-height: 1;
}

#agenda-atendimento button {
	background: var(--azulgestao);
	color: #fff;
	border: none;
	border-radius: 5px;
	width: 100%;
	padding: 15px;
	line-height: 1;
}

@media only screen and (min-width: 800px) {

	#agenda-atendimento {
		display: grid;
		gap: 40px;
		grid-template-columns: 4fr 1fr;
		gap: 20px;
		align-content: center;
		justify-items: center;
		align-items: center;
	}

	#agenda-atendimento select {
		padding: 10px;
		margin: 0;
	}

}


/* ----- BOTÕES DA PÁGINA "ESPAÇO JUNDIAÍ EMPREENDEDORA ------------------------- */

.page-espaco-jundiai-empreendedora .wp-block-button,
.page-espaco-jundiai-empreendedora .wp-block-buttons {
	width: 100%;
}

.page-espaco-jundiai-empreendedora .servicos-cidadao .wp-block-button__link,
.page-espaco-jundiai-empreendedora .servicos-empreendedor .wp-block-button__link,
.page-espaco-jundiai-empreendedora .servicos-empresas .wp-block-button__link {
	border-radius: 20px;
	width: 100%;
	padding: 25px 20px;
	font-size: 16px;
	font-weight: 600;
	text-transform: uppercase;
}

.page-espaco-jundiai-empreendedora .servicos-cidadao .wp-block-button__link {
	background: var(--turquesa);
}

.page-espaco-jundiai-empreendedora .servicos-empreendedor .wp-block-button__link {
	background: var(--magenta);
}

.page-espaco-jundiai-empreendedora .servicos-empresas .wp-block-button__link {
	background: var(--laranja);
}

/* ----- SISTEMA ---------------------------------------------------------------- */

#footerCijun #botao-topo {
	display: none;
}

@media only screen and (min-width: 1024px) {

	#CadastroUsuarioController .topoFixo {
		top: 156px;
	}

}
